DROP TABLE IF EXISTS `chat`;

CREATE TABLE `chat` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `text` text NOT NULL,
  `time` int(11) NOT NULL,
  `id_user` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;




DROP TABLE IF EXISTS `clan_memb`;

CREATE TABLE `clan_memb` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_clan` int(11) NOT NULL,
  `id_user` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;




DROP TABLE IF EXISTS `clanchat`;

CREATE TABLE `clanchat` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `text` text NOT NULL,
  `time` int(11) NOT NULL,
  `id_user` int(11) NOT NULL,
  `id_clan` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;




DROP TABLE IF EXISTS `clans`;

CREATE TABLE `clans` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `level` int(11) NOT NULL DEFAULT '1',
  `exp` int(11) NOT NULL DEFAULT '0',
  `ruby` varchar(1000) NOT NULL DEFAULT '0',
  `angels` varchar(1000) NOT NULL DEFAULT '0',
  `name` varchar(100) NOT NULL,
  `info` varchar(100) NOT NULL,
  `date` int(11) NOT NULL,
  `gerb` int(11) NOT NULL DEFAULT '0',
  `side` varchar(100) NOT NULL,
  `stat` int(11) NOT NULL DEFAULT '0',
  `stat_level` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;




DROP TABLE IF EXISTS `forum`;

CREATE TABLE `forum` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL,
  `access` set('0','1','2','') NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8;

INSERT INTO forum VALUES("1","Новости игры","2");
INSERT INTO forum VALUES("2","Помощь по игре","0");
INSERT INTO forum VALUES("3","Разное","0");



DROP TABLE IF EXISTS `hp_mp`;

CREATE TABLE `hp_mp` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_user` int(11) NOT NULL,
  `last` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;




DROP TABLE IF EXISTS `kont`;

CREATE TABLE `kont` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_user` int(11) NOT NULL,
  `id_kont` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;




DROP TABLE IF EXISTS `mail`;

CREATE TABLE `mail` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `in` int(11) NOT NULL,
  `out` int(11) NOT NULL,
  `text` text NOT NULL,
  `time` int(11) NOT NULL,
  `online` int(11) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;




DROP TABLE IF EXISTS `room_users`;

CREATE TABLE `room_users` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_up` int(11) NOT NULL,
  `name` varchar(100) NOT NULL,
  `id_user` int(11) NOT NULL,
  `level` int(11) NOT NULL DEFAULT '1',
  `money_sek` varchar(1000) NOT NULL DEFAULT '1',
  `item` varchar(100) NOT NULL,
  `gold` varchar(1000) NOT NULL,
  `up_gold` varchar(1000) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;




DROP TABLE IF EXISTS `rooms`;

CREATE TABLE `rooms` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_up` int(11) NOT NULL,
  `name` varchar(100) NOT NULL,
  `item` varchar(100) NOT NULL,
  `money_sek` varchar(1000) NOT NULL,
  `gold` varchar(1000) NOT NULL,
  `up_gold` varchar(1000) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=26 DEFAULT CHARSET=utf8;

INSERT INTO rooms VALUES("1","1","Космопорт","1","1","1","1");
INSERT INTO rooms VALUES("2","2","Полицейский участок","2","2","10","10");
INSERT INTO rooms VALUES("3","3","Отель","4","4","100","100");
INSERT INTO rooms VALUES("4","4","Склад","8","8","1000","1000");
INSERT INTO rooms VALUES("5","5","Продуктовый склад","16","16","10000","10000");
INSERT INTO rooms VALUES("6","6","Серверная","32","32","100000","100000");
INSERT INTO rooms VALUES("7","7","Пункт управления","64","64","1000000","1000000");
INSERT INTO rooms VALUES("8","8","Съемочный павильон","128","128","10000000","10000000");
INSERT INTO rooms VALUES("9","9","Медпункт","256","256","100000000","100000000");
INSERT INTO rooms VALUES("10","10","Ядерный реактор","512","512","1000000000","1000000000");
INSERT INTO rooms VALUES("11","11","Морозильный отсек","1024","1024","10000000000","10000000000");
INSERT INTO rooms VALUES("12","12","Фитотрон","2048","2048","100000000000","100000000000");
INSERT INTO rooms VALUES("13","13","Обсерватория","4096","4096","1000000000000","1000000000000");
INSERT INTO rooms VALUES("14","14","Комната отдыха","8192","8192","10000000000000","10000000000000");
INSERT INTO rooms VALUES("15","15","Овощная лавка","16384","16384","100000000000000","100000000000000");
INSERT INTO rooms VALUES("16","16","Больничная палата","32768","32768","1000000000000000","1000000000000000");
INSERT INTO rooms VALUES("17","17","Хостел","65536","65536","10000000000000000","10000000000000000");
INSERT INTO rooms VALUES("18","18","Охотничий домик","131072","131072","100000000000000000","100000000000000000");
INSERT INTO rooms VALUES("19","19","Чил-аут","262144","262144","1000000000000000000","1000000000000000000");
INSERT INTO rooms VALUES("20","20","Музей древностей","524288","524288","10000000000000000000","10000000000000000000");
INSERT INTO rooms VALUES("21","21","Эрмитаж","1048576","1048576","100000000000000000000","100000000000000000000");
INSERT INTO rooms VALUES("22","22","Пекарня","2097152","2097152","1000000000000000000000","1000000000000000000000");
INSERT INTO rooms VALUES("23","23","Кафе-гриль","4194304","4194304","10000000000000000000000","10000000000000000000000");
INSERT INTO rooms VALUES("24","24","Сырная лавка","8368608","8368608","100000000000000000000000","100000000000000000000000");
INSERT INTO rooms VALUES("25","25","Оружейная","16737216","16737216","1000000000000000000000000","1000000000000000000000000");



DROP TABLE IF EXISTS `topic`;

CREATE TABLE `topic` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_forum` int(11) NOT NULL,
  `id_user` int(11) NOT NULL,
  `name` varchar(100) NOT NULL,
  `top` set('0','1','','') NOT NULL DEFAULT '0',
  `close` set('0','1','','') NOT NULL DEFAULT '0',
  `text` text NOT NULL,
  `time` int(11) NOT NULL,
  `onlick` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;




DROP TABLE IF EXISTS `topic_msg`;

CREATE TABLE `topic_msg` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_topic` int(11) NOT NULL,
  `id_user` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `text` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;




DROP TABLE IF EXISTS `users`;

CREATE TABLE `users` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `ip` varchar(100) NOT NULL,
  `login` varchar(255) NOT NULL,
  `password` varchar(255) NOT NULL,
  `email` varchar(255) NOT NULL,
  `sex` set('w','m') NOT NULL DEFAULT 'm',
  `registr` int(11) NOT NULL,
  `access` set('0','1','2','') NOT NULL DEFAULT '0',
  `money_sek` varchar(1000) NOT NULL DEFAULT '0',
  `ruby` varchar(1000) NOT NULL DEFAULT '1',
  `gold` varchar(1000) NOT NULL DEFAULT '10',
  `online` int(11) NOT NULL,
  `news_read` int(11) NOT NULL DEFAULT '0',
  `id_partner` int(11) NOT NULL DEFAULT '0',
  `fix_mesto` varchar(100) NOT NULL,
  `angels` varchar(1000) NOT NULL DEFAULT '0',
  `id_clan` int(11) NOT NULL DEFAULT '0',
  `clan_angels` varchar(1000) NOT NULL DEFAULT '0',
  `clan_rang` int(11) NOT NULL DEFAULT '1',
  `clan_gold` int(11) NOT NULL DEFAULT '0',
  `limit_clan_gold` int(11) NOT NULL DEFAULT '3',
  `room` int(11) NOT NULL DEFAULT '1',
  `gold_room` varchar(1000) NOT NULL DEFAULT '10',
  `angels_bonus` varchar(1000) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;




DROP TABLE IF EXISTS `worldkassa`;

CREATE TABLE `worldkassa` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT COMMENT 'ID платежа (Внутренний ID)',
  `id_user` int(11) unsigned NOT NULL COMMENT 'ID пользователя',
  `id_bill` int(11) unsigned NOT NULL COMMENT 'ID платежа в Worldkassa',
  `time` int(11) unsigned NOT NULL COMMENT 'Время инициализации платежа',
  `time_oplata` int(11) unsigned DEFAULT '0' COMMENT 'Время оплаты',
  `summa` decimal(11,2) NOT NULL DEFAULT '0.00' COMMENT 'Сумма',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Статистика платежей через WorldKassa';




